Subject: redo-ood taking much longer to return in a copy of a project, compared with the original

From: Karolis K <[email-masked]>
Date: Fri, 19 Nov 2021 22:23:10 +0200

Hello,

I have a relatively large project handled by redo (not many dependencies, but the file sizes can be in gigabytes).
Recently I wanted to test some things out and so I made a hard copy of this project (cp -r projectdir projectdir2).

After doing this I noticed that the redo-ood, when started in projectdir2 took around 10x (maybe more) times longer to return compared with the original projectdir.
I also confirmed the same behaviour on a different project, on a different machine (both running CENTOS).

Is this known and expected?
My understanding was that since .redo dependencies are stored under each dir individually the computations shouldn’t depend on where the root is located. But somehow it does.

Any insights are very appreciated.
Kind regards,
Karolis Koncevičius